Debian Bug report logs - #645296
nmu: remmina-plugins_0.9.2-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Emmanuel Charpentier <emm.charpentier@free.fr>

Date: Fri, 14 Oct 2011 06:21:02 UTC

Severity: normal

Merged with 645996, 646472, 646493

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Falavigna <dktrkranz@debian.org>:
Bug#645296; Package remmina. (Fri, 14 Oct 2011 06:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Charpentier <emm.charpentier@free.fr>:
New Bug report received and forwarded. Copy sent to Luca Falavigna <dktrkranz@debian.org>. (Fri, 14 Oct 2011 06:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emmanuel Charpentier <emm.charpentier@free.fr>
To: submit@bugs.debian.org
Subject: [remmina] VNC connections no longer usable after upgrade to 0.9.3-3
Date: Fri, 14 Oct 2011 08:17:56 +0200
Package: remmina
Version: 0.9.3-3
Severity: normal

--- Please enter the report below this line. ---

Since upgrade to 0.9.3-3, I no longer can use pre-existing or new VNC
connections : opening such a connection leads to a dialog box saying
"Reading password failed" and the OK button.

I have checked that I can still reach the same servers with Vinagre
through a hand-crafted SSH port forwarding (but not through the
vinagre's "SSH tunnel" option which is not documented). I have also
checked that the same problem happens on the local network with or
without SSH port forwarding.

On another system (i686), I have other symptoms, and will file another
bug report.

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.0.0-1-amd64

Debian Release: wheezy/sid
  500 testing-proposed-updates ftp.fr.debian.org 
  500 testing         www.debian-multimedia.org 
  500 testing         security.debian.org 
  500 testing         ftp.fr.debian.org 
  500 testing         debian.cran.r-project.org 
    1 experimental    ftp.debian.org 

--- Package information. ---
Depends                    (Version) | Installed
====================================-+-==============
libatk1.0-0              (>= 1.12.4) | 2.2.0-1
libavahi-client3         (>= 0.6.16) | 0.6.30-5
libavahi-common3         (>= 0.6.16) | 0.6.30-5
libavahi-glib1           (>= 0.6.16) | 0.6.30-5
libavahi-ui0             (>= 0.6.21) | 0.6.30-5
libc6                       (>= 2.7) | 2.13-21
libcairo2                 (>= 1.2.4) | 1.10.2-6.1
libfontconfig1            (>= 2.8.0) | 2.8.0-3
libfreetype6              (>= 2.2.1) | 2.4.6-2
libgcrypt11               (>= 1.4.5) | 1.5.0-3
libgdk-pixbuf2.0-0       (>= 2.22.0) | 2.24.0-1
libglib2.0-0             (>= 2.24.0) | 2.28.6-1
libgtk2.0-0              (>= 2.24.0) | 2.24.4-3
libpango1.0-0            (>= 1.14.0) | 1.28.4-3
libssh-4                 (>= 0.3.91) | 0.5.2-1
libunique-1.0-0           (>= 1.0.0) | 1.1.6-2
libvte9                (>= 1:0.24.0) | 1:0.28.1-2
libx11-6                             | 2:1.4.4-2


Recommends              (Version) | Installed
=================================-+-===========
remmina-plugin-rdp                | 0.9.2-3
remmina-plugin-vnc                | 0.9.2-3


Package's Suggests field is empty.









Information forwarded to debian-bugs-dist@lists.debian.org, Luca Falavigna <dktrkranz@debian.org>:
Bug#645296; Package remmina. (Sat, 15 Oct 2011 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos C Soto <csoto@sia-solutions.com>:
Extra info received and forwarded to list. Copy sent to Luca Falavigna <dktrkranz@debian.org>. (Sat, 15 Oct 2011 05:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 645296@bugs.debian.org (full text, mbox):

From: Carlos C Soto <csoto@sia-solutions.com>
To: 645296@bugs.debian.org
Subject: [remmina] confirmed, I'm using remmina 0.9.3-3 with remmina-plugin-vnc 0.9.2-3
Date: Sat, 15 Oct 2011 00:37:01 -0500
Package: remmina
Version: 0.9.3-3

--- Please enter the report below this line. ---

 confirmed, I'm using remmina 0.9.3-3 with remmina-plugin-vnc 0.9.2-3

--- System information. ---
Architecture: amd64
Kernel: Linux 3.0.0-1-amd64

Debian Release: wheezy/sid
990 testing security.debian.org
990 testing ftp.debian.org
990 testing debian-multimedia.org
990 squeeze-backports mozilla.debian.net
990 squeeze-backports backports.debian.org
500 testing-snapshots live.debian.net
500 testing-proposed-updates ftp.debian.org
500 stable dl.google.com
200 unstable ftp.debian.org

--- Package information. ---
Depends (Version) | Installed
====================================-+-==============
libatk1.0-0 (>= 1.12.4) | 2.2.0-1
libavahi-client3 (>= 0.6.16) | 0.6.30-5
libavahi-common3 (>= 0.6.16) | 0.6.30-5
libavahi-glib1 (>= 0.6.16) | 0.6.30-5
libavahi-ui0 (>= 0.6.21) | 0.6.30-5
libc6 (>= 2.7) | 2.13-21
libcairo2 (>= 1.2.4) | 1.10.2-6.1
libfontconfig1 (>= 2.8.0) | 2.8.0-3
libfreetype6 (>= 2.2.1) | 2.4.6-2
libgcrypt11 (>= 1.4.5) | 1.5.0-3
libgdk-pixbuf2.0-0 (>= 2.22.0) | 2.24.0-1
libglib2.0-0 (>= 2.24.0) | 2.28.6-1
libgtk2.0-0 (>= 2.24.0) | 2.24.4-3
libpango1.0-0 (>= 1.14.0) | 1.28.4-3
libssh-4 (>= 0.3.91) | 0.5.2-1
libunique-1.0-0 (>= 1.0.0) | 1.1.6-2
libvte9 (>= 1:0.24.0) | 1:0.28.1-2
libx11-6 | 2:1.4.4-2


Recommends (Version) | Installed
=================================-+-===========
remmina-plugin-rdp | 0.9.2-3
remmina-plugin-vnc | 0.9.2-3


Package's Suggests field is empty.







Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#645296; Package remmina. (Thu, 20 Oct 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. (Thu, 20 Oct 2011 22:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 645296@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 645296@bugs.debian.org, 645996@bugs.debian.org
Subject: nmu: remmina-plugins_0.9.2-3
Date: Fri, 21 Oct 2011 00:20:10 +0200
reassign 645296 remmina-plugin-vnc
severity 645996 normal
merge 645296 645996
retitle 645296 nmu: remmina-plugins_0.9.2-3
reassign 645296 release.debian.org
user release.debian.org@packages.debian.org
usertags 645296 binnmu
thanks


nmu remmina-plugins_0.9.2-3 . ALL . -m "Rebuild against newer libvncserver"




Bug reassigned from package 'remmina' to 'remmina-plugin-vnc'. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 22:21:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions remmina/0.9.3-3. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 22:21:12 GMT) Full text and rfc822 format available.

Merged 645296 645996. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 22:21:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'nmu: remmina-plugins_0.9.2-3' from '[remmina] VNC connections no longer usable after upgrade to 0.9.3-3' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 22:21:15 GMT) Full text and rfc822 format available.

Bug reassigned from package 'remmina-plugin-vnc' to 'release.debian.org'. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 22:21:16 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions remmina-plugins/0.9.2-3. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 22:21:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#645296; Package release.debian.org. (Mon, 24 Oct 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 24 Oct 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 645296@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 645296@bugs.debian.org
Subject: Rationale
Date: Mon, 24 Oct 2011 17:46:45 +0200
Rationale for the binNMU request:
with libvncserver 0.9.8 release, upstream broke ABI by adding new
members in the middle of a struct. This issue has been reported
upstream [0] and fixed with 0.9.8.1 release. remmina-plugins was built
with 0.9.8, and needs a rebuild to make remmina-plugin-vnc able to
connect to VNC servers again.

[0] http://sourceforge.net/tracker/?func=detail&aid=3419816&group_id=32584&atid=405858




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 24 Oct 2011 19:09:08 GMT) Full text and rfc822 format available.

Notification sent to Emmanuel Charpentier <emm.charpentier@free.fr>:
Bug acknowledged by developer. (Mon, 24 Oct 2011 19:09:08 GMT) Full text and rfc822 format available.

Message #37 received at 645296-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Luca Falavigna <dktrkranz@debian.org>, 645296-done@bugs.debian.org
Subject: Re: Bug#645296: Rationale
Date: Mon, 24 Oct 2011 21:04:39 +0200
On Mon, Oct 24, 2011 at 17:46:45 +0200, Luca Falavigna wrote:

> Rationale for the binNMU request:
> with libvncserver 0.9.8 release, upstream broke ABI by adding new
> members in the middle of a struct. This issue has been reported
> upstream [0] and fixed with 0.9.8.1 release. remmina-plugins was built
> with 0.9.8, and needs a rebuild to make remmina-plugin-vnc able to
> connect to VNC servers again.
> 
Thanks, scheduled.

Cheers,
Julien




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 24 Oct 2011 19:09:09 GMT) Full text and rfc822 format available.

Notification sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Bug acknowledged by developer. (Mon, 24 Oct 2011 19:09:09 GMT) Full text and rfc822 format available.

Forcibly Merged 645296 645996 646472 646493. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Mon, 24 Oct 2011 22:33:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Nov 2011 07:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:44:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.